Skip to content

Mark notifications read (all unread, or the given ids).

POST
/v1/notifications/read
curl --request POST \
--url https://api.share2.us/v1/notifications/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'
Media typeapplication/json
object
ids

When omitted or empty, every unread notification is marked read.

Array<string>
Examplegenerated
{
"ids": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}

The updated unread count.

Media typeapplication/json
object
unread_count
required
integer format: int64
Examplegenerated
{
"unread_count": 1
}

Standard error envelope.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{
"error": {
"code": "quota_exceeded"
}
}